Please reconsider keeping aufs module in linux-image-3.5.0

Bug #908784 reported by Steven Shiau on 2011-12-26
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Canonical Kernel Team
Quantal
High
Canonical Kernel Team

Bug Description

Although overlayfs is used as the union file system for Ubuntu 12.10 alpha1, it would be great to keep aufs 3.x in the package linux-image-3.5.0. This is also for compatibility with backports for precise in setups that have to use aufs instead of overlayfs.

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 908784

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

Here you are:
root@precise:~# uname -r
3.2.0-6-generic

root@precise:~# modprobe -v aufs
FATAL: Module aufs not found.

root@precise:~# dpkg -L linux-image-3.2.0-6-generic | grep -i aufs || echo "Not found"
Not found

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Reinhard Tartler (siretart) wrote :

Ubuntu precise did ship in the end with aufs:

~# modprobe -v aufs
insmod /lib/modules/3.2.0-30-generic/kernel/ubuntu/aufs/aufs.ko

However, it was removed for quantal, which ships kernel v3.5:
http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-quantal.git;a=commitdiff;h=d38cbebe93dd4f4accc737b240826f103109c27a

Given serious problems listed at https://launchpad.net/ubuntu/+source/linux/+bugs?field.searchtext=overlayfs, I would like to ask the ubuntu kernel maintainers to reconsider shipping aufs for now.

For our site here (student lab at uni-erlangen), bug #1039402 is quite serious as it hinders the rollout and testing of quantal for our lab.

summary: - Keep aufs module in linux-image-3.2.0
+ Please reconsider keeping aufs module in linux-image-3.5.0
description: updated
Changed in linux (Ubuntu):
importance: Undecided → High
status: Confirmed → Triaged
Changed in linux (Ubuntu Quantal):
milestone: none → ubuntu-12.10
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.5.0-15.21

---------------
linux (3.5.0-15.21) quantal; urgency=low

  [ Tim Gardner ]

  * ubuntu: AUFS -- update to 18e455787597579fe144cdb2f18aa6a0a32c46a4
  * [Config] Enable aufs
    - LP: #908784

  [ Upstream Kernel Changes ]

  * eCryptfs: check for eCryptfs cipher support at mount
    - LP: #338914
  * drm/i915: pnv has a backlight polarity control bit, too
    - LP: #954661
  * drm/i915: clear up backlight #define confusion on gen4+
    - LP: #954661
  * drm/i915: properly enable the blc controller on the right pipe
    - LP: #954661
  * drm/i915: allow pipe A for lvds on gen4
    - LP: #954661
 -- Tim Gardner <email address hidden> Tue, 18 Sep 2012 08:37:51 -0400

Changed in linux (Ubuntu Quantal):
status: Triaged → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers